List Analyses
curl --request GET \
--url https://api.example.com/v1/analyses/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.example.com/v1/analyses/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.example.com/v1/analyses/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"data": [
{
"id": "<string>",
"name": "<string>",
"is_public": true,
"sub_analysis_count": 123,
"status": {
"overall": "<string>",
"percentage": 123
},
"prompt_ids": [
"<string>"
],
"last_run_at": 123
}
],
"total": 123,
"page": 1,
"page_size": 50
},
"links": {
"self": {
"href": "<string>",
"rel": "<string>",
"method": "GET",
"title": "<string>"
},
"total": 123,
"prev": {
"href": "<string>",
"rel": "<string>",
"method": "GET",
"title": "<string>"
},
"next": {
"href": "<string>",
"rel": "<string>",
"method": "GET",
"title": "<string>"
}
},
"response_type": "AnalysisPaginatedListResponse"
}{
"data": {
"title": "Request Validation Error",
"status": 422,
"detail": "Request validation failed",
"instance": "https://urlyourequest.com/path?query=value"
},
"response_type": "ErrorResponse"
}{
"data": {
"title": "Unauthorized",
"status": 401,
"detail": "Authentication required",
"instance": "https://urlyourequest.com/path?query=value"
},
"response_type": "ErrorResponse"
}{
"data": {
"title": "Payment Required",
"status": 402,
"detail": "Payment required",
"instance": "https://urlyourequest.com/path?query=value"
},
"response_type": "ErrorResponse"
}{
"data": {
"title": "Forbidden",
"status": 403,
"detail": "Access forbidden",
"instance": "https://urlyourequest.com/path?query=value"
},
"response_type": "ErrorResponse"
}{
"data": {
"title": "Request Validation Error",
"status": 422,
"detail": "Request validation failed",
"instance": "https://urlyourequest.com/path?query=value"
},
"response_type": "ErrorResponse"
}{
"data": {
"title": "Internal Server Error",
"status": 500,
"detail": "Internal server error",
"instance": "https://urlyourequest.com/path?query=value"
},
"response_type": "ErrorResponse"
}analyses
List Analyses
List all analyses for the authenticated user with pagination (summary view).
Returns minimal data: id, name, is_public, sub_analysis_count, and status.
GET
/
v1
/
analyses
/
List Analyses
Authorizations
API Key for external integrations (format: greetincs_...)
Query Parameters
Page number
Required range:
x >= 1Number of analyses per page
Required range:
1 <= x <= 100⌘I